﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WGneu.Models {
    [Table("AT_kg"), PrimaryKey("KgNr")]
    public class AT_Kg {
        [Column("kgnr")]
        public int KgNr { get; set; }

        [Column("gkz")]
        public int Gkz { get; set; }

        [Column("name")]
        public string Name { get; set; }

        [ForeignKey("Gkz")]
        public virtual AT_Gem Gem { get; set; }
    }
}
