﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WGneu.Models;

namespace WGneu {
    public class WgContext : DbContext {
        public DbSet<Country> Countries { get; set; }
        public DbSet<Member> Members { get; set; }
        public DbSet<AT_Gem> Gemeinden { get; set; }
        public DbSet<AT_Kg> Katastralgemeinden { get; set; }
        public DbSet<AT_Ort> Orte { get; set; }
        public DbSet<AT_Plz> Postleitzahlen { get; set; }
        public DbSet<PostalDest> PostalDestinations { get; set; }
        public DbSet<Branch> Branches { get; set; }
        public DbSet<WbKg> WbKgs { get; set; }

        protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder) {
            optionsBuilder.UseSqlite("Data Source=\"C:\\Users\\lorenz\\Desktop\\wgtest.sqlite3\"; foreign keys=true");
            optionsBuilder.UseLazyLoadingProxies();
        }
    }
}
